C *********************************************************************
C  mgrid.for   Version 1.0                              Mar. 19, 2001
C
C *********************************************************************
C  A grid file for the library program "pdfa_int.for" can be obtained 
C  by running this program together with "pdfa_evo.for". It produces 
C  the output file "user.grid", which should be renamed user1.grid, 
C  user2.grid, ..., or user5.grid for using it in the "pdfa_int.for".
C *********************************************************************
      PROGRAM MGRID
C ---------------------------------------------------------------------
      IMPLICIT REAL*8(A-H,O-Z)
      PARAMETER (NQG=23, NXG=68, NPMAX=3001)
      DIMENSION  QG(23), XG(68), Q2X(NPMAX,2), PDF(NPMAX,5)

C Q2 AND X GRID.
      DATA QG / 1.0D0, 1.3D0, 1.8D0, 2.7D0, 4.0D0, 6.4D0,
     +          1.0D1, 1.6D1, 2.5D1, 4.0D1, 6.4D1,
     +          1.0D2, 1.8D2, 3.2D2, 5.7D2,
     +          1.0D3, 1.8D3, 3.2D3, 5.7D3,
     +          1.0D4, 2.2D4, 4.6D4,
     +          1.0D5 /

      DATA XG / 1.0D-9, 1.8D-9, 3.2D-9, 5.7D-9,
     +          1.0D-8, 1.8D-8, 3.2D-8, 5.7D-8,
     +          1.0D-7, 1.8D-7, 3.2D-7, 5.7D-7,
     +          1.0D-6, 1.4D-6, 2.0D-6, 3.0D-6, 4.5D-6, 6.7D-6,
     +          1.0D-5, 1.4D-5, 2.0D-5, 3.0D-5, 4.5D-5, 6.7D-5,
     +          1.0D-4, 1.4D-4, 2.0D-4, 3.0D-4, 4.5D-4, 6.7D-4,
     +          1.0D-3, 1.4D-3, 2.0D-3, 3.0D-3, 4.5D-3, 6.7D-3,
     +          1.0D-2, 1.4D-2, 2.0D-2, 3.0D-2, 4.5D-2,
     +          0.06D0, 0.08D0, 0.1D0, 0.125D0, 0.15D0, 0.175D0,
     +          0.2D0, 0.225D0, 0.25D0, 0.275D0, 0.3D0, 0.325D0,
     +          0.35D0, 0.375D0, 0.4D0,  0.45D0, 0.5D0, 0.55D0,
     +          0.6D0, 0.65D0,  0.7D0,  0.75D0,  0.8D0, 0.85D0,
     +          0.9D0, 0.95D0, 1.0D0 /

      WRITE(6,*) 'ISET, A, Z ?'
      READ(5,*) ISET, NA, NZ

      NP=NQG*(NXG-1)
      I=0
      DO 10 J=1,NQG
        DO 10 K=1,NXG-1
          I=I+1
          Q2X(I,1)=QG(J)
          Q2X(I,2)=XG(K)
   10 CONTINUE

      CALL PDFA_EVO(ISET,1,NA,NZ,NP,Q2X,PDF)

      OPEN(UNIT=10,FILE='user.grid',STATUS='NEW')
      DO 20 I=1,NP
        WRITE(10,1030) (PDF(I,IN), IN=1,4)
 1030     FORMAT(' ',4(1PE12.4))
   20 CONTINUE
      CLOSE(10)

      STOP
      END
C *********************************************************************
