C *********************************************************************
      PROGRAM SAMPLE
C ---------------------------------------------------------------------
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION XX(500), PDF(5)

      XMIN=1.D-3
      XMAX=1.D0
      NSTEP=200
      ILOG=2
      CALL GETXX(XMIN,XMAX,NSTEP,ILOG,XX,DX)

      WRITE(*,*) 'Q2 (GeV2) ?'
      READ(*,*) Q2

      DO 10 J=1,NSTEP+1
        CALL PDFA_INT(1,9,Q2,XX(J),PDF)
        WRITE(12,1000) XX(J), (PDF(IN), IN=1,5)
 1000     FORMAT(' ', 6(1PE12.4))
   10 CONTINUE

      STOP
      END
C ---------------------------------------------------------------------
      SUBROUTINE GETXX(XMIN,XMAX,NX,ILOG,X,DX)
C ---------------------------------------------------------------------
C GET X AND DX.
      IMPLICIT REAL*8(A-H,O-Z)
      PARAMETER (NXMAX=3001)
      DIMENSION X(NXMAX)

      IF(ILOG.EQ.1) THEN
        DX=(XMAX-XMIN)/DFLOAT(NX)
        DO 10 I=1,NX
          X(I)=XMIN+DFLOAT(I-1)*DX
   10   CONTINUE
        X(NX+1)=XMAX
      ELSE
        DLMAX=DLOG10(XMAX)
        DLMIN=DLOG10(XMIN)
        DX=(DLMAX-DLMIN)/DFLOAT(NX)
        DO 20 I=1,NX
          DLOGX=DFLOAT(I-1)*DX+DLMIN
          X(I)=10.D0**(DLOGX)
   20   CONTINUE
        X(NX+1)=XMAX
      END IF

      RETURN
      END
C *********************************************************************
